> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a transfer orders

> Create a transfer orders

### Request body

`CreateTransferOrderRequest`

<ParamField body="destination_warehouse_id" type="string" required />

<ParamField body="items" type="CreateTransferOrderItemRequest[]" required />

<ParamField body="notes" type="string,null" />

<ParamField body="source_warehouse_id" type="string" required />

### Responses

<ResponseField name="201" type="TransferOrderResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/transfer-orders' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "destination_warehouse_id": "string",
    "items": [
      {
        "product_id": "string",
        "quantity": "string"
      }
    ],
    "notes": null,
    "source_warehouse_id": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "created_at": "string",
    "destination_warehouse_id": "string",
    "id": "string",
    "items": [
      {
        "id": "string",
        "product_id": "string",
        "quantity": "string",
        "quantity_received": "string"
      }
    ],
    "number": "string",
    "source_warehouse_id": "string",
    "status": "string"
  }
  ```
</ResponseExample>
